function [y_s]= Reducevectorg( y_g,uset )
% REDUCEVECTORG [y_s ]= reducevectorg( py_g, uset )
%
% 
% Input in global workspace:
%
%         uset      uset.pv_*  partitioning vectors and sizes
%					uset.*size   *=n,m etc.

if ( uset.ssize>0 )
	if ~isempty(y_g),
		y_n= y_g(uset.pv_n,:);
		y_s= y_n(uset.pv_s,:);
	else
		y_s=[];
	end	
else 
	y_s=[];
end
